Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.pietschy.command.configuration
Enum IllegalFormatException.Type

    java.lang.Object
      java.lang.Enum<IllegalFormatException.Type>
          com.pietschy.command.configuration.IllegalFormatException.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IllegalFormatException.Type>

Enclosing class:
  IllegalFormatException

    public static enum IllegalFormatException.Type

extends java.lang.Enum<IllegalFormatException.Type>

Enum listing format types.

Enum Constant Summary
`ACCELERATOR`
`INTEGER`

Method Summary
`static IllegalFormatException.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IllegalFormatException.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INTEGER

    public static final IllegalFormatException.Type INTEGER

### ACCELERATOR

    public static final IllegalFormatException.Type ACCELERATOR

Method Detail

### values

    public static final IllegalFormatException.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(IllegalFormatException.Type c : IllegalFormatException.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static IllegalFormatException.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006 - 2007 Andrew Pietsch